<div class="header pb-8 pt-5 pt-lg-8 d-flex align-items-center" style="min-height: 300px; background-image: url(assets/img/theme/profile-cover.jpg); background-size: cover; background-position: center top;">
    <!-- Mask -->
    <span class="mask bg-gradient-info opacity-8"></span>
    <!-- Header container -->
    <div class="container-fluid d-flex align-items-center">
      <div class="row">
        <div class="col-lg-7 col-md-10">
          <h1 class="text-white">Donateur Entreprise</h1>
        
        </div>
      </div>
    </div>
  </div>

  <div style="text-align: center"  >
    <form>
        <input
        matInput
        placeholder="Nom du image"
        [(ngModel)]="donateur.nom"
        name="nom"
        maxlength="30"
        #uname="ngModel"
        required
      />
        <br/>
      <input
      matInput
      placeholder="website"
      type="text"
      [(ngModel)]="donateur.website"
      #uname="ngModel"
      maxlength="30"
      name="website"
      min="10"
      required
    />
      <div>
        <input type="file"   name="image"  multiple (change)="selectImage($event)" />
        <button type="submit" (click)="onSubmit()">Upload</button>
      </div>
    
    </form>
  </div> 
  <br/> <br/> <br/>
  <h2>Donateur Entreprise</h2>
  <table class="table align-items-center table-flush">
    <thead class="thead-light">
      <tr>
        <th scope="col">name</th>
        <th scope="col">website</th>
        <th scope="col">image</th>
        <th scope="col"></th>
      </tr>
    </thead>
    <tbody>
        
      <tr *ngFor="let c of don">
        <th scope="row">
          <div class="media align-items-center">
            <div class="media-body">
              <span class="mb-0 text-sm">{{c.nom}}</span>
            </div>
          </div>
        </th>
        <td>
          {{c.website}}
        </td>
        <td>
                <br><br/>
                          <div class="card-profile-image">
                            <a href="javascript:void(0)">
                              <img src= "{{ 'https://sharek-it.tn/' + c.image }}"  class="rounded-top">
                            </a>
                      </div> 
                      <br><br/><br><br/>
                  
        </td>
        <td class="text-right">
          <div ngbDropdown placement="bottom-right">
            <a class="btn btn-sm btn-icon-only text-light"  ngbDropdownToggle>
              <i class="fas fa-ellipsis-v"></i>
            </a>
            <div ngbDropdownMenu class=" dropdown-menu-right dropdown-menu-arrow">
              <a class="dropdown-item" href="javascript:void(0)"  >Modifier</a>
              <a class="dropdown-item" href="javascript:void(0)" (click)="delete(c)">supprimer</a>
            </div>
          </div>
        </td>
      </tr>
      
    </tbody>
  </table>